package at.ac.tuwien.dbai.ges.instances.breaks;

/**
 * Defines a break.
 *
 * @author Lucas Kletzander
 */
public class Break {

    private final int type;
    private final int start;
    private final int end;

    public Break(int type, int start, int end) {
        this.type = type;
        this.start = start;
        this.end = end;
    }

    public int getType() {
        return type;
    }

    public int getStart() {
        return start;
    }

    public int getEnd() {
        return end;
    }

    @Override
    public String toString() {
        return "Break{" +
                "type=" + type +
                ", start=" + start +
                ", end=" + end +
                '}';
    }

}
