package at.ac.tuwien.dbai.ges.instances.shift;

/**
 * Models a shift rows without details.
 *
 * @author Lucas Kletzander
 */
public class ShiftRow {

    private static long currentId;

    private final long id;
    private int[] shifts;
    private int contract;
    private double evaluation;

    public ShiftRow(int[] shifts, int contract) {

        id = currentId++;
        this.shifts = shifts;
        this.contract = contract;

    }

    public long getId() {
        return id;
    }

    public int[] getShifts() {
        return shifts;
    }

    public int getContract() {
        return contract;
    }

    public double getEvaluation() {
        return evaluation;
    }

    public void setEvaluation(double evaluation) {
        this.evaluation = evaluation;
    }

}
